<?php

namespace LakeDrops\DrupalEnvironment;

use Composer\Plugin\Capability\CommandProvider as CommandProviderCapability;

/**
 * Composer Command Provider for LakeDrops drupal environments.
 *
 * @package LakeDrops\DrupalEnvironment
 */
class CommandProvider implements CommandProviderCapability {

  /**
   * Retrieves an array of commands.
   *
   * @return \Composer\Command\BaseCommand[]
   *   Array of available commands.
   */
  public function getCommands(): array {
    return [
      new ConfigCommand(),
    ];
  }

}
